Skip to main content
curl -G https://api.chargeapi.co/v1/transactions \
  -H "Authorization: Bearer ch_sk_test_..." \
  -d driver=drv_MeVPeA4p1YkuWfAFBkMw7ic0tFccgUth \
  -d limit=10
{
    "data": [
        {
            "id": "txn_5rwy7R2xxBaH2HIjjPT9yncKSqO2SrKA",
            "object": "transaction",
            "amount": 1842,
            "charging_session": "cs_2qmCwUDxaPiWQIALyo4B2fBMj11XLvLz",
            "created": "2026-04-01T02:56:16.124Z",
            "currency": "eur",
            "description": "Charge for charging session cs_2qmCwUDxaPiWQIALyo4B2fBMj11XLvLz",
            "driver": "drv_MeVPeA4p1YkuWfAFBkMw7ic0tFccgUth",
            "fleet": "flt_0JWC8KEZMVcyA8Am56LAIK0qLiCCJAo8",
            "payment_method": "pm_uNNks8BXwB5faWNFq6xb9T2JE0wpenAg",
            "status": "succeeded",
            "type": "charge",
            "vehicle": "veh_olgw2XevTKqrJxBZT4ZVrGWr0eymuHZq"
        }
    ],
    "next_page_url": "https://api.chargeapi.co/v1/transactions?page=page_jRiSZsXBWnSTaK0tGbxbBaCqA8w78FZAkFXtWr4bAOM&driver=drv_MeVPeA4p1YkuWfAFBkMw7ic0tFccgUth&limit=10",
    "previous_page_url": null
}
Returns a paginated list of transaction objects for your account, sorted by creation date with the most recent transactions first. Use driver or fleet to scope results.
curl -G https://api.chargeapi.co/v1/transactions \
  -H "Authorization: Bearer ch_sk_test_..." \
  -d driver=drv_MeVPeA4p1YkuWfAFBkMw7ic0tFccgUth \
  -d limit=10
{
    "data": [
        {
            "id": "txn_5rwy7R2xxBaH2HIjjPT9yncKSqO2SrKA",
            "object": "transaction",
            "amount": 1842,
            "charging_session": "cs_2qmCwUDxaPiWQIALyo4B2fBMj11XLvLz",
            "created": "2026-04-01T02:56:16.124Z",
            "currency": "eur",
            "description": "Charge for charging session cs_2qmCwUDxaPiWQIALyo4B2fBMj11XLvLz",
            "driver": "drv_MeVPeA4p1YkuWfAFBkMw7ic0tFccgUth",
            "fleet": "flt_0JWC8KEZMVcyA8Am56LAIK0qLiCCJAo8",
            "payment_method": "pm_uNNks8BXwB5faWNFq6xb9T2JE0wpenAg",
            "status": "succeeded",
            "type": "charge",
            "vehicle": "veh_olgw2XevTKqrJxBZT4ZVrGWr0eymuHZq"
        }
    ],
    "next_page_url": "https://api.chargeapi.co/v1/transactions?page=page_jRiSZsXBWnSTaK0tGbxbBaCqA8w78FZAkFXtWr4bAOM&driver=drv_MeVPeA4p1YkuWfAFBkMw7ic0tFccgUth&limit=10",
    "previous_page_url": null
}

Parameters

driver
string
Limit results to transactions associated with this driver.
fleet
string
Limit results to transactions associated with this fleet.
limit
integer
Maximum number of objects to return (default 10).
page
string
Page token from a previous list response.

Returns

Returns a page of transactions.
data
array of object
required
Array of transaction objects.
next_page_url
string | null
required
URL for the next page of results, or null when there is no next page.
previous_page_url
string | null
required
URL for the previous page of results, or null when there is no previous page.